Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo.jdbc
Class JDORMappingFactory

    java.lang.Object
      org.apache.openjpa.meta.AbstractMetaDataFactory
          org.apache.openjpa.meta.AbstractCFMetaDataFactory
              kodo.jdo.JDOMetaDataFactory
                  kodo.jdo.jdbc.JDORMappingFactory

All Implemented Interfaces:
  ApplicationIdTool.ObjectIdLoader, MetaDataFactory, MetaDataModes

    public class JDORMappingFactory

extends JDOMetaDataFactory

Specialization of `JDOMetaDataFactory` for JDOR mapping.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`AbstractCFMetaDataFactory.Parser, AbstractCFMetaDataFactory.Serializer`

Field Summary

Fields inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`cpath, files, rsrcs, urls`

Fields inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`dir, log, repos, store, strict, types`

Fields inherited from interface org.apache.openjpa.meta.MetaDataFactory
`STORE_DEFAULT, STORE_PER_CLASS, STORE_VERBOSE`

Fields inherited from interface org.apache.openjpa.meta.MetaDataModes
`MODE_MAPPING, MODE_MAPPING_INIT, MODE_META, MODE_NONE, MODE_QUERY`

Constructor Summary
`JDORMappingFactory()`

Method Summary
`void` | `addClassExtensionKeys(Collection exts)`
`void` | `addFieldExtensionKeys(Collection exts)`
`boolean` | `getConstraintNames()` Whether to write out constraint names in generated mapping data.
`protected AbstractCFMetaDataFactory.Parser` | `newParser(boolean loading)`
`protected AbstractCFMetaDataFactory.Serializer` | `newSerializer()`
`void` | `setConstraintNames(boolean cnames)` Whether to write out constraint names in generated mapping data.

Methods inherited from class kodo.jdo.JDOMetaDataFactory
`clear, defaultSourceFile, defaultSourceFile, defaultSourceFile, getDefaults, getMetaDataSuffix, getParser, isDeclaredInterfacePersistent, isParseTopDown, isScanTopDown, load, newClassArgParser, newMetaDataFilter, setDeclaredInterfacePersistent, setLoadObjectIds, setParser, setScanTopDown, setUseSchemaValidation, useSchemaValidation`

Methods inherited from class org.apache.openjpa.meta.AbstractCFMetaDataFactory
`backupAndDelete, clearMapping, drop, getDefiningMetaData, getPersistentTypeNames, getSourceFile, getSourceFile, isMappingOnlyFactory, mapPersistentTypeNames, parse, parse, serialize, setClasspathScan, setClasspathScan, setFiles, setFiles, setResources, setResources, setSourceFile, setSourceFile, setURLs, setURLs, store`

Methods inherited from class org.apache.openjpa.meta.AbstractMetaDataFactory
`getQueryScope, getResultSetMappingScope, setRepository, setStoreDirectory, setStoreMode, setStrict, setTypes, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDORMappingFactory

    public JDORMappingFactory()

Method Detail

### getConstraintNames

    public boolean getConstraintNames()

  Whether to write out constraint names in generated mapping data. Defaults to false.

### setConstraintNames

    public void setConstraintNames(boolean cnames)

  Whether to write out constraint names in generated mapping data. Defaults to false.

### addClassExtensionKeys

    public void addClassExtensionKeys(Collection exts)

  Specified by:
    `addClassExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addClassExtensionKeys` in class `JDOMetaDataFactory`

### addFieldExtensionKeys

    public void addFieldExtensionKeys(Collection exts)

  Specified by:
    `addFieldExtensionKeys` in interface `MetaDataFactory`
  Overrides:
    `addFieldExtensionKeys` in class `JDOMetaDataFactory`

### newParser

    protected AbstractCFMetaDataFactory.Parser newParser(boolean loading)

  Overrides:
    `newParser` in class `JDOMetaDataFactory`

### newSerializer

    protected AbstractCFMetaDataFactory.Serializer newSerializer()

  Overrides:
    `newSerializer` in class `JDOMetaDataFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.